Bug 781831 - Review Request: python-nova-adminclient - Nova administration Python API
Review Request: python-nova-adminclient - Nova administration Python API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-15 10:32 EST by Russell Bryant
Modified: 2016-04-26 13:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-nova-adminclient-0.1.8-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-26 17:53:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sdake: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Steven Dake 2012-01-15 12:31:14 EST
Russell,

I had originally intended to review your package, but you need a sponsor since your not part of the fedora packager group.  I am not (yet) a sponsor.

Regards
-steve
Comment 2 Steven Dake 2012-01-15 12:38:36 EST
Ignore comment #1.
Comment 3 Steven Dake 2012-01-15 12:58:44 EST
[PASS] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1] 

[sdake@beast noarch]$ rpmlint python-nova-adminclient-0.1.8-1.fc16.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[sdake@beast noarch]$ rpmlint python-nova-adminclient*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[PASS] MUST: The package must be named according to the Package Naming Guidelines .

[PASS] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 

[PASS] MUST: The package must meet the Packaging Guidelines .

[PASS] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[PASS] MUST: The License field in the package spec file must match the actual license. [3]

[PASS] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

[PASS] MUST: The spec file must be written in American English. [5]

[PASS] MUST: The spec file for the package MUST be legible. [6]

[PASS] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

[PASS] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

[PASS] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

[PASS] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[N/A] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

[N/A] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

[N/A] MUST: Packages must NOT bundle copies of system libraries.[11]

[N/A] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]

[PASS] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

[PASS] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]

[PASS] MUST: Each package must consistently use macros. [16]

[PASS] MUST: The package must contain code, or permissable content. [17]

[N/A] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]

[N/A] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]

[N/A] MUST: Header files must be in a -devel package. [19]

[N/A] MUST: Static libraries must be in a -static package. [20]

[N/A] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]

[N/A] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]

[N/A] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]

[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]

[PASS] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]

[PASS] MUST: All filenames in rpm packages must be valid UTF-8. [24]
Comment 4 Steven Dake 2012-01-15 13:04:30 EST
Python review:

From: http://fedoraproject.org/wiki/Packaging:Python

To build a package containing python2 files, you need to have:

BuildRequires: python2-devel

[BLOCKER] python2-devel not a BR

[BLOCKER] The python_sitelib definition is not needed - it is already defined by the build system.

[PASS] Must: Python eggs must be built from source. They cannot simply drop an egg from upstream into the proper directory. (See prebuilt binaries Guidelines for details)

[PASS] Must: Python eggs must not download any dependencies during the build process.

[N/A] Must: When building a compat package, it must install using easy_install -m so it won't conflict with the main package.

[N/A] Must: When building multiple versions (for a compat package) one of the packages must contain a default version that is usable via "import MODULE" with no prior setup.

[PASS] Should: A package which is used by another package via an egg interface should provide egg info.
Comment 5 Steven Dake 2012-01-15 13:06:01 EST
I would recommend making the %description section a little more verbose or at least terminating it with a period.
Comment 6 Russell Bryant 2012-01-16 16:38:43 EST
Steve, I have updated the package to address your review comments.  Thanks for the review!

http://fedorapeople.org/~russellb/python-nova-adminclient/python-nova-adminclient.spec

http://fedorapeople.org/~russellb/python-nova-adminclient/python-nova-adminclient-0.1.8-2.fc16.src.rpm
Comment 7 Steven Dake 2012-01-16 17:30:00 EST
APPROVED.  Russell, please submit a git request.
Comment 8 Russell Bryant 2012-01-16 18:57:26 EST
New Package SCM Request
=======================
Package Name: python-nova-adminclient
Short Description: Client library for administering OpenStack Nova
Owners: russellb
Branches: f16 el6
InitialCC:
Comment 9 Jon Ciesla 2012-01-16 20:13:15 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-01-17 13:48:40 EST
python-nova-adminclient-0.1.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-nova-adminclient-0.1.8-2.el6
Comment 11 Fedora Update System 2012-01-17 13:49:24 EST
python-nova-adminclient-0.1.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-nova-adminclient-0.1.8-2.fc16
Comment 12 Fedora Update System 2012-01-18 14:57:54 EST
python-nova-adminclient-0.1.8-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2012-01-26 17:53:37 EST
python-nova-adminclient-0.1.8-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-02-03 20:07:56 EST
python-nova-adminclient-0.1.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.